import request from '@/utils/request'
// 新增/编辑
export function uploadFile2OSS(data, fileUploadType) {
  return request({
    url: '/common/uploadFile2OSS/' + fileUploadType,
    method: 'post',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    data: data,
    timeout: 60000
  })
}
// 新增/编辑
export function uploadFile2Vod(data, fileUploadType) {
  return request({
    url: '/common/vod/uploadFile2Vod/' + fileUploadType,
    method: 'post',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    data: data
  })
}

// /prod-api/common/oss/getUploadToken
export function getUploadToken() {
  return request({
    url: '/common/oss/getUploadToken',
    method: 'get'
  })
}